Choose style:

Author Topic: (SOLVED) get torrent asks for launcher ?  (Read 15017 times)

0 Members and 1 Guest are viewing this topic.

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
(SOLVED) get torrent asks for launcher ?
« on: May 03, 2014, 10:16:00 am »
hello i tried to get a torrent file and it asks for a launcher and then takes me to firefox where i cannot see transmission,i want transmission to start so does anyone know how i get transmission to launch please?
thank you.
« Last Edit: May 07, 2014, 11:53:22 am by penrose1950 »

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: get torrent asks for launcher ?
« Reply #1 on: May 03, 2014, 12:01:19 pm »
Which web browser are you using ?

Are these torrent links, or magnet links ?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #2 on: May 04, 2014, 08:41:43 am »
my default browser is Chromium and they are magnet links
thank you.

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: get torrent asks for launcher ?
« Reply #3 on: May 04, 2014, 09:21:41 am »
Run:
Code: [Select]
sudo gedit /usr/share/applications/defaults.list
and make sure it contains the line:-
Code: [Select]
x-scheme-handler/magnet=transmission-gtk.desktop
if it doesn't, add it as a NEW line at the bottom .. SAVE the file, and exit gedit.

Now (with an active interweb connection) open a terminal and run these commands in sequence:
Code: [Select]
cd /usr/bin
then
Code: [Select]
sudo cp -v xdg-open xdg-open.bak
then
Code: [Select]
sudo wget https://dl.dropboxusercontent.com/u/11876059/xdg-open.tar.gz
then
Code: [Select]
sudo tar xvf xdg-open.tar.gz
Now close ALL web browser instances .. then reopen Chromium.

and test a magnet link.

it should mention using xdg-open to open the link .. accept that.

Be aware that when Transmission starts it will *appear* as though the file to download is empty .. just accept it, the correct file will be added to the download list.
« Last Edit: May 04, 2014, 10:29:00 am by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #4 on: May 04, 2014, 10:08:23 am »
i get this message

tar: xdg-open: Cannot open: File exists
tar: Exiting with failure status due to previous errors

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: get torrent asks for launcher ?
« Reply #5 on: May 04, 2014, 10:31:00 am »
My mistake, forgot to add "sudo" to the last command .. fixed above.

Run:
Code: [Select]
cd /usr/bin
then
Code: [Select]
sudo tar xvf xdg-open.tar.gz
Now close ALL web browser instances .. then reopen Chromium.

and test a magnet link.

it should mention using xdg-open to open the link .. accept that.

Be aware that when Transmission starts it will *appear* as though the file to download is empty .. just accept it, the correct file will be added to the download list.
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #6 on: May 05, 2014, 07:50:09 am »
when i click on get this torrent next to the magnet it comes up with external protocol request launch application,when i click on launch application nothing happens?
thank you.

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: get torrent asks for launcher ?
« Reply #7 on: May 05, 2014, 05:46:14 pm »
Which application does it say it's going to launch ? .. xdg-open ?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #8 on: May 06, 2014, 07:57:15 am »
yes xdg-open but nothing happens when i click on launch application?

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: get torrent asks for launcher ?
« Reply #9 on: May 06, 2014, 08:05:20 am »
OK, can you post the contents of these 3 files .. but pleased use the "spoiler" tags as the output will be rather long

Code: [Select]
gedit /usr/share/applications/transmission-gtk.desktop
and
Code: [Select]
gedit /usr/bin/xdg-open
and
Code: [Select]
gedit /usr/share/applications/defaults.list
also post the output from:
Code: [Select]
ls -l /usr/bin/xdg-open
« Last Edit: May 06, 2014, 08:07:03 am by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #10 on: May 06, 2014, 08:30:56 am »
sorry but could you please tell me what and how to use a spoiler tag?
thank you.

Offline mac

  • Global Moderator
  • Veteran
  • *****
  • Posts: 1088
  • Karma: 336
    • View Profile
  • Peppermint version(s): Peppermint 7-8-9
Re: get torrent asks for launcher ?
« Reply #11 on: May 06, 2014, 09:03:25 am »
Code: [Select]
[spoiler]your text here[/spoiler]

Code: [Select]
[spoiler=title]your text here[/spoiler]

OR, Use the Sp button / tool when you post or when you send a PM.  The
Code: [Select]
[Spoiler][/Spoiler]
brackets will appear and you can copy & paste your text, etc, between the two sets of brackets.


« Last Edit: May 06, 2014, 09:16:34 am by mac »
Peppermint: Standing Out from the Cloud
Reg. Linux User #432835

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #12 on: May 06, 2014, 09:47:14 am »
gedit /usr/bin/xdg-open
Code: [Select]
#!/bin/sh
#---------------------------------------------
#   xdg-open
#
#   Utility script to open a URL in the registered default application.
#
#   Refer to the usage() function below for usage.
#
#   Copyright 2009-2010, Fathi Boudra <fabo@freedesktop.org>
#   Copyright 2009-2010, Rex Dieter <rdieter@fedoraproject.org>
#   Copyright 2006, Kevin Krammer <kevin.krammer@gmx.at>
#   Copyright 2006, Jeremy White <jwhite@codeweavers.com>
#
#   LICENSE:
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included
#   in all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
#   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
#   THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
#   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
#   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
#   OTHER DEALINGS IN THE SOFTWARE.
#
#---------------------------------------------

manualpage()
{
cat << _MANUALPAGE
Name

xdg-open - opens a file or URL in the user's preferred application

Synopsis

xdg-open { file | URL }

xdg-open { --help | --manual | --version }

Description

xdg-open opens a file or URL in the user's preferred application. If a URL is
provided the URL will be opened in the user's preferred web browser. If a file
is provided the file will be opened in the preferred application for files of
that type. xdg-open supports file, ftp, http and https URLs.

xdg-open is for use inside a desktop session only. It is not recommended to use
xdg-open as root.

Options

--help
    Show command synopsis.
--manual
    Show this manualpage.
--version
    Show the xdg-utils version information.

Exit Codes

An exit code of 0 indicates success while a non-zero exit code indicates
failure. The following failure codes can be returned:

1
    Error in command line syntax.
2
    One of the files passed on the command line did not exist.
3
    A required tool could not be found.
4
    The action failed.

Examples

xdg-open 'http://www.freedesktop.org/'

Opens the Freedesktop.org website in the user's default browser

xdg-open /tmp/foobar.png

Opens the PNG image file /tmp/foobar.png in the user's default image viewing
application.

_MANUALPAGE
}

usage()
{
cat << _USAGE
xdg-open - opens a file or URL in the user's preferred application

Synopsis

xdg-open { file | URL }

xdg-open { --help | --manual | --version }

_USAGE
}

#@xdg-utils-common@

#----------------------------------------------------------------------------
#   Common utility functions included in all XDG wrapper scripts
#----------------------------------------------------------------------------

DEBUG()
{
  [ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && return 0;
  [ ${XDG_UTILS_DEBUG_LEVEL} -lt $1 ] && return 0;
  shift
  echo "$@" >&2
}

#-------------------------------------------------------------
# Exit script on successfully completing the desired operation

exit_success()
{
    if [ $# -gt 0 ]; then
        echo "$@"
        echo
    fi

    exit 0
}


#-----------------------------------------
# Exit script on malformed arguments, not enough arguments
# or missing required option.
# prints usage information

exit_failure_syntax()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
        echo "Try 'xdg-open --help' for more information." >&2
    else
        usage
        echo "Use 'man xdg-open' or 'xdg-open --manual' for additional info."
    fi

    exit 1
}

#-------------------------------------------------------------
# Exit script on missing file specified on command line

exit_failure_file_missing()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 2
}

#-------------------------------------------------------------
# Exit script on failure to locate necessary tool applications

exit_failure_operation_impossible()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 3
}

#-------------------------------------------------------------
# Exit script on failure returned by a tool application

exit_failure_operation_failed()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 4
}

#------------------------------------------------------------
# Exit script on insufficient permission to read a specified file

exit_failure_file_permission_read()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 5
}

#------------------------------------------------------------
# Exit script on insufficient permission to write a specified file

exit_failure_file_permission_write()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 6
}

check_input_file()
{
    if [ ! -e "$1" ]; then
        exit_failure_file_missing "file '$1' does not exist"
    fi
    if [ ! -r "$1" ]; then
        exit_failure_file_permission_read "no permission to read file '$1'"
    fi
}

check_vendor_prefix()
{
    file_label="$2"
    [ -n "$file_label" ] || file_label="filename"
    file=`basename "$1"`
    case "$file" in
       [a-zA-Z]*-*)
         return
         ;;
    esac

    echo "xdg-open: $file_label '$file' does not have a proper vendor prefix" >&2
    echo 'A vendor prefix consists of alpha characters ([a-zA-Z]) and is terminated' >&2
    echo 'with a dash ("-"). An example '"$file_label"' is '"'example-$file'" >&2
    echo "Use --novendor to override or 'xdg-open --manual' for additional info." >&2
    exit 1
}

check_output_file()
{
    # if the file exists, check if it is writeable
    # if it does not exists, check if we are allowed to write on the directory
    if [ -e "$1" ]; then
        if [ ! -w "$1" ]; then
            exit_failure_file_permission_write "no permission to write to file '$1'"
        fi
    else
        DIR=`dirname "$1"`
        if [ ! -w "$DIR" -o ! -x "$DIR" ]; then
            exit_failure_file_permission_write "no permission to create file '$1'"
        fi
    fi
}

#----------------------------------------
# Checks for shared commands, e.g. --help

check_common_commands()
{
    while [ $# -gt 0 ] ; do
        parm="$1"
        shift

        case "$parm" in
            --help)
            usage
            echo "Use 'man xdg-open' or 'xdg-open --manual' for additional info."
            exit_success
            ;;

            --manual)
            manualpage
            exit_success
            ;;

            --version)
            echo "xdg-open 1.0.2"
            exit_success
            ;;
        esac
    done
}

check_common_commands "$@"

[ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && unset XDG_UTILS_DEBUG_LEVEL;
if [ ${XDG_UTILS_DEBUG_LEVEL-0} -lt 1 ]; then
    # Be silent
    xdg_redirect_output=" > /dev/null 2> /dev/null"
else
    # All output to stderr
    xdg_redirect_output=" >&2"
fi

#--------------------------------------
# Checks for known desktop environments
# set variable DE to the desktop environments name, lowercase

detectDE()
{
#    if [ x"$KDE_FULL_SESSION" = x"true" ]; then DE=kde;
#    elif [ x"$GNOME_DESKTOP_SESSION_ID" != x"" ]; then DE=gnome;
#    elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
#    elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
#    elif [ x"$DESKTOP_SESSION" = x"LXDE" ]; then DE=lxde;
#    else DE=""
#    fi
DE=gnome;
}

#----------------------------------------------------------------------------
# kfmclient exec/openURL can give bogus exit value in KDE <= 3.5.4
# It also always returns 1 in KDE 3.4 and earlier
# Simply return 0 in such case

kfmclient_fix_exit_code()
{
    version=`kde${KDE_SESSION_VERSION}-config --version 2>/dev/null | grep '^KDE'`
    major=`echo $version | sed 's/KDE.*: \([0-9]\).*/\1/'`
    minor=`echo $version | sed 's/KDE.*: [0-9]*\.\([0-9]\).*/\1/'`
    release=`echo $version | sed 's/KDE.*: [0-9]*\.[0-9]*\.\([0-9]\).*/\1/'`
    test "$major" -gt 3 && return $1
    test "$minor" -gt 5 && return $1
    test "$release" -gt 4 && return $1
    return 0
}

# This handles backslashes but not quote marks.
first_word()
{
    read first rest
    echo "$first"
}

open_kde()
{
    if kde-open -v 2>/dev/null 1>&2; then
        kde-open "$1"
    else
        if [ x"$KDE_SESSION_VERSION" = x"4" ]; then
            kfmclient openURL "$1"
        else
            kfmclient exec "$1"
            kfmclient_fix_exit_code $?
        fi
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

open_gnome()
{
    if gvfs-open --help 2>/dev/null 1>&2; then
        gvfs-open "$1"
    else
        gnome-open "$1"
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

open_xfce()
{
    exo-open "$1"

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

open_generic_xdg_mime()
{
    filetype=`xdg-mime query filetype "$1" | sed "s/;.*//"`
    default=`xdg-mime query default "$filetype"`
    if [ -n "$default" ] ; then
        xdg_user_dir="$XDG_DATA_HOME"
        [ -n "$xdg_user_dir" ] || xdg_user_dir="$HOME/.local/share"

        xdg_system_dirs="$XDG_DATA_DIRS"
        [ -n "$xdg_system_dirs" ] || xdg_system_dirs=/usr/local/share/:/usr/share/

        for x in `echo "$xdg_user_dir:$xdg_system_dirs" | sed 's/:/ /g'`; do
            local file="$x/applications/$default"
            if [ -r "$file" ] ; then
                command="`grep -E "^Exec(\[[^]=]*])?=" "$file" | cut -d= -f 2- | first_word`"
                command_exec=`which $command 2>/dev/null`
                if [ -x "$command_exec" ] ; then
                    $command_exec "$1"
                    if [ $? -eq 0 ]; then
                        exit_success
                    fi
                fi
            fi
        done
    fi
}

open_generic()
{
    # Paths or file:// URLs
    if (echo "$1" | grep -q '^file://' ||
        ! echo "$1" | egrep -q '^[a-zA-Z+\.\-]+:'); then

        local file="$1"

        # Decode URLs
        if echo "$file" | grep -q '^file:///'; then
            file=${file#file://}
            local printf=printf
            if [ -x /usr/bin/printf ]; then
                printf=/usr/bin/printf
            fi
            file="$($printf "$(echo "$file" | sed -e 's@%\([a-f0-9A-F]\{2\}\)@\\x\1@g')")"
        fi
        check_input_file "$file"

        open_generic_xdg_mime "$file"

        if [ -f /etc/debian_version ] &&
            which run-mailcap 2>/dev/null 1>&2; then
            run-mailcap --action=view "$file"
            if [ $? -eq 0 ]; then
                exit_success
            fi
        fi

        if mimeopen -v 2>/dev/null 1>&2; then
            mimeopen -L -n "$file"
            if [ $? -eq 0 ]; then
                exit_success
            fi
        fi
    fi

    OLDIFS="$IFS"
    IFS=":"
    for browser in $BROWSER; do
        IFS="$OLDIFS"
        if [ x"$browser" != x"" ]; then

            browser_with_arg=`printf "$browser" "$1" 2>/dev/null`
            if [ $? -ne 0 ]; then
                browser_with_arg=$browser;
            fi

            if [ x"$browser_with_arg" = x"$browser" ]; then
                $browser "$1";
            else eval '$browser_with_arg'$xdg_redirect_output;
            fi

            if [ $? -eq 0 ]; then
                exit_success;
            fi
        fi
    done

    exit_failure_operation_impossible "no method available for opening '$1'"
}

open_lxde()
{
    # pcmanfm only knows how to handle file:// urls and filepaths, it seems.
    if (echo "$1" | grep -q '^file://' ||
        ! echo "$1" | egrep -q '^[a-zA-Z+\.\-]+:')
    then
        local file="$(echo "$1" | sed 's%^file://%%')"

        # handle relative paths
        if ! echo "$file" | grep -q '^/'; then
            file="$(pwd)/$file"
        fi

        pcmanfm "$file"

    else
        open_generic "$1"
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

[ x"$1" != x"" ] || exit_failure_syntax

url=
while [ $# -gt 0 ] ; do
    parm="$1"
    shift

    case "$parm" in
      -*)
        exit_failure_syntax "unexpected option '$parm'"
        ;;

      *)
        if [ -n "$url" ] ; then
            exit_failure_syntax "unexpected argument '$parm'"
        fi
        url="$parm"
        ;;
    esac
done

if [ -z "${url}" ] ; then
    exit_failure_syntax "file or URL argument missing"
fi

detectDE

if [ x"$DE" = x"" ]; then
    DE=generic
fi

# if BROWSER variable is not set, check some well known browsers instead
if [ x"$BROWSER" = x"" ]; then
    BROWSER=links2:links:lynx:w3m
    if [ -n "$DISPLAY" ]; then
        BROWSER=x-www-browser:firefox:mozilla:epiphany:konqueror:chromium-browser:google-chrome:$BROWSER
    fi
fi

case "$DE" in
    kde)
    open_kde "$url"
    ;;

    gnome)
    open_gnome "$url"
    ;;

    xfce)
    open_xfce "$url"
    ;;

    lxde)
    open_lxde "$url"
    ;;

    generic)
    open_generic "$url"
    ;;

    *)
    exit_failure_operation_impossible "no method available for opening '$url'"
    ;;
esac
[close]
« Last Edit: May 06, 2014, 12:17:03 pm by PCNetSpec »

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #13 on: May 06, 2014, 09:49:00 am »
gedit /usr/share/applications/transmission-gtk.desktop
Code: [Select]
[Desktop Entry]
Name=BitTorrent Client
Name[ast]=Cliente BitTorrent
Name[be@latin]=Klijent BitTorrent
Name[bg]=BitTorrent клиент
Name[ca]=Client de BitTorrent
Name[cs]=BitTorrent klient
Name[da]=BitTorrent-klient
Name[de]=BitTorrent-Client
Name[el]=πελάτης BitTorrent
Name[en_AU]=BitTorrent Client
Name[en_CA]=BitTorrent Client
Name[en_GB]=BitTorrent Client
Name[eo]=BitTorrent-Kliento
Name[es]=Cliente de Torrent
Name[et]=BitTorrenti klient
Name[eu]=BitTorrent bezeroa
Name[fi]=BitTorrent-asiakas
Name[fo]=BitTorrent-viðskiftari
Name[fr]=Client Torrent
Name[gl]=Cliente de BitTorrent
Name[he]=תוכנת ביטורנט
Name[hr]=BitTorrent klijent
Name[hu]=Bittorrent kliens
Name[id]=Klien Torrent
Name[is]=Torrent flutningur
Name[it]=Client BitTorrent
Name[ja]=BitTorrent クライアント
Name[kk]=BitTorrent қолданбасы
Name[ku]=Daxwazkera BitTorrent
Name[li]=BitTorrent-client
Name[lt]=„BitTorrent“ klientas
Name[lv]=Torentklients
Name[mk]=клиент за BitTorrent
Name[nb]=BitTorrent-klient
Name[nl]=BitTorrent-client
Name[no]=Torrent-klient
Name[nn]=BitTorrent-klient
Name[pl]=Klient sieci BitTorrent
Name[pt]=Cliente BitTorrent
Name[pt_BR]=Cliente BitTTorrent
Name[ro]=Client BitTorrent
Name[ru]=Торрент-клиент
Name[sk]=klient siete BitTorrent
Name[sl]=BitTorrent odjemalec
Name[sq]=BitTorrent Klient
Name[sv]=BitTorrent-klienten
Name[tg]=Torrent Kliente
Name[th]=โปรแกรม BitTorrent
Name[tr]=BitTorrent İstemcisi
Name[uk]=BitTorrent клієнт
Name[vi]=Trình khách BitTorrent
Name[zh_CN]=BitTorrent 客户端
Name[zh_TW]=BitTorrent 用戶端
Comment=Download and share files over BitTorrent
Exec=transmission-gtk %U
Icon=transmission
Terminal=false
TryExec=transmission-gtk
Type=Application
MimeType=application/x-bittorrent;x-scheme-handler/magnet;
Categories=Network;FileTransfer;P2P;GTK;
X-Ubuntu-Gettext-Domain=transmission
X-AppInstall-Keywords=torrent
[close]

gedit /usr/share/applications/defaults.list
Code: [Select]
[Default Applications]
application/csv=libreoffice-calc.desktop
application/excel=libreoffice-calc.desktop
application/msexcel=libreoffice-calc.desktop
application/msword=libreoffice-writer.desktop
application/ogg=rhythmbox.desktop
application/pdf=evince.desktop
application/postscript=evince.desktop
application/rtf=libreoffice-writer.desktop
application/tab-separated-values=libreoffice-calc.desktop
application/vnd.lotus-1-2-3=libreoffice-calc.desktop
application/vnd.ms-excel=libreoffice-calc.desktop
application/vnd.ms-word=libreoffice-writer.desktop
application/vnd.rn-realmedia=totem.desktop
application/vnd.sun.xml.base=libreoffice-base.desktop
application/vnd.sun.xml.calc=libreoffice-calc.desktop
application/vnd.sun.xml.calc.template=libreoffice-calc.desktop
application/vnd.sun.xml.draw=libreoffice-draw.desktop
application/vnd.sun.xml.draw.template=libreoffice-draw.desktop
application/vnd.sun.xml.math=libreoffice-math.desktop
application/vnd.sun.xml.writer=libreoffice-writer.desktop
application/vnd.sun.xml.writer.template=libreoffice-writer.desktop
application/vnd.sun.xml.writer.global=libreoffice-writer.desktop
application/vnd.oasis.opendocument.database=libreoffice-base.desktop
application/vnd.oasis.opendocument.formula=libreoffice-math.desktop
application/vnd.oasis.opendocument.graphics=libreoffice-draw.desktop
application/vnd.oasis.opendocument.graphics-template=libreoffice-draw.desktop
application/vnd.oasis.opendocument.presentation=libreoffice-impress.desktop
application/vnd.oasis.opendocument.presentation-template=libreoffice-impress.desktop
application/vnd.oasis.opendocument.spreadsheet=libreoffice-calc.desktop
application/vnd.oasis.opendocument.spreadsheet-template=libreoffice-calc.desktop
application/vnd.oasis.opendocument.text=libreoffice-writer.desktop
application/vnd.oasis.opendocument.text-template=libreoffice-writer.desktop
application/vnd.oasis.opendocument.text-web=libreoffice-writer.desktop
application/vnd.oasis.opendocument.text-master=libreoffice-writer.desktop
application/vnd.sun.xml.impress=libreoffice-impress.desktop
application/vnd.sun.xml.impress.template=libreoffice-impress.desktop
application/vnd.stardivision.calc=libreoffice-calc.desktop
application/vnd.stardivision.draw=libreoffice-draw.desktop
application/vnd.stardivision.impress=libreoffice-impress.desktop
application/vnd.stardivision.math=libreoffice-math.desktop
application/vnd.stardivision.writer=libreoffice-writer.desktop
application/mspowerpoint=libreoffice-impress.desktop
application/vnd.ms-powerpoint=libreoffice-impress.desktop
application/vnd.wordperfect=libreoffice-writer.desktop
application/wordperfect=libreoffice-writer.desktop
application/vnd.openxmlformats-officedocument.wordprocessingml.document=libreoffice-writer.desktop
application/vnd.openxmlformats-officedocument.wordprocessingml.template=libreoffice-writer.desktop
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet=libreoffice-calc.desktop
application/vnd.openxmlformats-officedocument.spreadsheetml.template=libreoffice-calc.desktop
application/vnd.openxmlformats-officedocument.presentationml.slide=libreoffice-impress.desktop
application/vnd.openxmlformats-officedocument.presentationml.slideshow=libreoffice-impress.desktop
application/vnd.openxmlformats-officedocument.presentationml.presentation=libreoffice-impress.desktop
application/vnd.openxmlformats-officedocument.presentationml.template=libreoffice-impress.desktop
application/x-123=libreoffice-calc.desktop
application/x-abiword=abiword.desktop
application/x-applix-spreadsheet=libreoffice-calc.desktop
application/x-ar=file-roller.desktop
application/x-arj=file-roller.desktop
application/x-audacity-project=audacity.desktop
application/x-bzip-compressed-tar=file-roller.desktop
application/x-bzip=file-roller.desktop
application/x-cbr=evince.desktop
application/x-cbz=evince.desktop
application/x-compressed-tar=file-roller.desktop
application/x-compress=file-roller.desktop
application/x-deb=ubuntu-software-center.desktop
application/x-debian-package=ubuntu-software-center.desktop
application/x-dos_ms_excel=libreoffice-calc.desktop
application/x-ear=file-roller.desktop
application/x-excel=libreoffice-calc.desktop
application/x-extension-m4a=totem.desktop
application/x-extension-mp4=totem.desktop
application/x-flac=rhythmbox.desktop
application/x-glade=glade.desktop
application/x-gnumeric=gnumeric.desktop
application/x-gtar=file-roller.desktop
application/x-gzip=file-roller.desktop
application/x-gzpostscript=evince.desktop
application/xhtml+xml=firefox.desktop
application/x-jar=file-roller.desktop
application/x-java-archive=file-roller.desktop
application/x-java-jnlp-file=icedtea-netx-javaws.desktop
application/x-lha=file-roller.desktop
application/x-lhz=file-roller.desktop
application/xls=libreoffice-calc.desktop
application/x-lzop=file-roller.desktop
application/x-matroska=totem.desktop
application/x-mps=libreoffice-calc.desktop
application/x-ms-excel=libreoffice-calc.desktop
application/x-msexcel=libreoffice-calc.desktop
application/x-ogg=rhythmbox.desktop
application/x-oleo=libreoffice-calc.desktop
application/x-perl=gedit.desktop
application/x-planperfect=libreoffice-calc.desktop
application/x-quattropro=libreoffice-calc.desktop
application/x-rar-compressed=file-roller.desktop
application/x-rar=file-roller.desktop
application/x-rpm=file-roller.desktop
application/x-sc=libreoffice-calc.desktop
application/x-shockwave-flash=totem.desktop
application/x-sylk=libreoffice-calc.desktop
application/x-tar=file-roller.desktop
application/x-war=file-roller.desktop
application/x-xbase=libreoffice-calc.desktop
application/x-xls=libreoffice-calc.desktop
application/x-zip-compressed=file-roller.desktop
application/x-zip=file-roller.desktop
application/x-zoo=file-roller.desktop
application/zip=file-roller.desktop
audio/3gpp=totem.desktop
audio/ac3=totem.desktop
audio/AMR=totem.desktop
audio/AMR-WB=totem.desktop
audio/basic=totem.desktop
audio/flac=rhythmbox.desktop
audio/midi=totem.desktop
audio/mp4=totem.desktop
audio/mpeg=totem.desktop
audio/mpegurl=totem.desktop
audio/ogg=rhythmbox.desktop
audio/prs.sid=totem.desktop
audio/vnd.rn-realaudio=totem.desktop
audio/x-ape=totem.desktop
audio/x-flac=rhythmbox.desktop
audio/x-gsm=totem.desktop
audio/x-it=totem.desktop
audio/x-m4a=totem.desktop
audio/x-matroska=totem.desktop
audio/x-mod=totem.desktop
audio/x-mp3=rhythmbox.desktop
audio/x-mpeg=rhythmbox.desktop
audio/x-mpegurl=rhythmbox.desktop
audio/x-ms-asf=totem.desktop
audio/x-ms-asx=totem.desktop
audio/x-ms-wax=totem.desktop
audio/x-ms-wma=totem.desktop
audio/x-musepack=totem.desktop
audio/x-pn-aiff=totem.desktop
audio/x-pn-au=totem.desktop
audio/x-pn-realaudio=totem.desktop
audio/x-pn-realaudio-plugin=totem.desktop
audio/x-pn-wav=totem.desktop
audio/x-pn-windows-acm=totem.desktop
audio/x-realaudio=totem.desktop
audio/x-real-audio=totem.desktop
audio/x-sbc=totem.desktop
audio/x-scpls=rhythmbox.desktop
audio/x-speex=totem.desktop
audio/x-tta=totem.desktop
audio/x-wav=totem.desktop
audio/x-wavpack=totem.desktop
audio/x-vorbis=rhythmbox.desktop
audio/x-vorbis+ogg=rhythmbox.desktop
audio/x-xm=totem.desktop
image/bmp=eog.desktop
image/gif=eog.desktop
image/jpeg=eog.desktop
image/jpg=eog.desktop
image/pjpeg=eog.desktop
image/png=eog.desktop
image/svg+xml=eog.desktop
image/tiff=eog.desktop
image/vnd.rn-realpix=totem.desktop
image/x-bmp=eog.desktop
image/x-gray=eog.desktop
image/x-icb=eog.desktop
image/x-ico=eog.desktop
image/x-png=eog.desktop
image/x-portable-anymap=eog.desktop
image/x-portable-bitmap=eog.desktop
image/x-portable-graymap=eog.desktop
image/x-portable-pixmap=eog.desktop
image/x-psd=gimp.desktop
image/x-xbitmap=eog.desktop
image/x-xpixmap=eog.desktop
inode/directory=nautilus-folder-handler.desktop
misc/ultravox=totem.desktop
multipart/x-zip=file-roller.desktop
text/abiword=abiword.desktop
text/calendar=evolution.desktop
text/comma-separated-values=libreoffice-calc.desktop
text/csv=libreoffice-calc.desktop
text/html=firefox.desktop
text/plain=gedit.desktop
text/richtext=abiword.desktop
text/rtf=libreoffice-writer.desktop
text/spreadsheet=libreoffice-calc.desktop
text/tab-separated-values=libreoffice-calc.desktop
text/x-comma-separated-values=libreoffice-calc.desktop
text/x-chdr=gedit.desktop
text/x-csrc=gedit.desktop
text/x-dtd=gedit.desktop
text/x-java=gedit.desktop
text/mathml=gedit.desktop
text/x-python=gedit.desktop
text/x-sql=gedit.desktop
text/xml=firefox.desktop
video/3gpp=totem.desktop
video/dv=totem.desktop
video/fli=totem.desktop
video/flv=totem.desktop
video/mp2t=totem.desktop
video/mp4=totem.desktop
video/mp4v-es=totem.desktop
video/mpeg=totem.desktop
video/msvideo=totem.desktop
video/ogg=totem.desktop
video/quicktime=totem.desktop
video/vivo=totem.desktop
video/vnd.divx=totem.desktop
video/vnd.rn-realvideo=totem.desktop
video/vnd.vivo=totem.desktop
video/webm=totem.desktop
video/x-anim=totem.desktop
video/x-avi=totem.desktop
video/x-flc=totem.desktop
video/x-fli=totem.desktop
video/x-flic=totem.desktop
video/x-flv=totem.desktop
video/x-m4v=totem.desktop
video/x-matroska=totem.desktop
video/x-mpeg=totem.desktop
video/x-ms-asf=totem.desktop
video/x-ms-asx=totem.desktop
video/x-msvideo=totem.desktop
video/x-ms-wm=totem.desktop
video/x-ms-wmv=totem.desktop
video/x-ms-wmx=totem.desktop
video/x-ms-wvx=totem.desktop
video/x-nsv=totem.desktop
video/x-ogm+ogg=totem.desktop
video/x-theora+ogg=totem.desktop
video/x-totem-stream=totem.desktop
x-content/video-dvd=totem.desktop
x-content/video-vcd=totem.desktop
x-content/video-svcd=totem.desktop
x-content/audio-cdda=rhythmbox-device.desktop
x-content/audio-dvd=banshee-audiocd.desktop
x-content/audio-player=rhythmbox-device.desktop
x-content/image-dcf=shotwell.desktop
x-content/image-picturecd=shotwell.desktop
zz-application/zz-winassoc-xls=libreoffice-calc.desktop
x-scheme-handler/apt=ubuntu-software-center.desktop
x-scheme-handler/http=firefox.desktop
x-scheme-handler/https=firefox.desktop
x-scheme-handler/mailto=thunderbird.desktop
x-scheme-handler/magnet=transmission-gtk.desktop
[close]
« Last Edit: May 06, 2014, 12:10:19 pm by PCNetSpec »

Offline penrose1950

  • Member
  • ***
  • Posts: 163
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 9 64 bit
Re: get torrent asks for launcher ?
« Reply #14 on: May 06, 2014, 09:51:47 am »
-rwxr-xr-x 1 root root 13811 Jul 22  2013 /usr/bin/xdg-open